Cisco Support Community

Licenses not visible after migration-Wireless Control System (WCS) to Prime Infrastructure



In this document Cisco TAC engineer " Samson Aloor " has explained about issue "Licenses are not visible after migration from Wireless Control System (WCS) to Prime Infrastructure (PI)".

Problem Category


Problem Subcategory

Cisco Prime Network Control System (NCS) Wireless

Problem Description

Customer upgraded the WCS to PI and lost the licenses after he restored the Oracle DB.

After migration to PI 2.0 old licenses are not detected and there is an error when adding new licenses:

"Your license has been applied. Please login logout into the system, to let licenses take effect."


The issue is visible when migration to PI 2.0 is performed and when old WCS licenses were present on migrated PI


Run the following commands in root mode (access using 'root' command from CLI, use root_enable to set password if needed)

root - Executes the root shell.
root_enable - Activates the root command.
- move WCS licenses (wcs*) out of the Prime Infrastructure License Directory to another location
e.g. mv /opt/CSCOlumos/licenses/wcs*.lic /localdisk

(/localdisk is the disk: directory accessible from normal CLI)
- Run the License Restore Script:
- Logout and Login to GUI
- At this point the old licenses should be visible in GUI again and new licenses can be added as needed.

If the licenses are not visible yet, add them again.

More Information

Try to restore backup of the NCS, created before upgrade. step.5 creates the backup. There is no mention about the restore, but until I didn't restore the backup, the HTTPS service was not enabled a NCS was not accessible via http/https. After restore everything works fine.

Please find below URL and hope you will find all the PATCHES:

Since you got installed, you can upgrade straight to the new 1.3 PI

•1.       You need to download a point patch first

The point patches are located at the following location:

Prime Infrastructure Software download

•2.      Once the existing system is patched, we can upgrade to 1.3

You can download from

Performing an Inline Upgrade to Prime Infrastructure 1.3

Cisco Prime Infrastructure 2.1​ - Installing Patches 

You may need to install patches to get your version of Prime Infrastructure to the level at which upgrade is supported. For example: If you are currently running Cisco Prime Infrastructure version 1.3.0, you must install the PI_1_3_0_20-Update.4-16 patch before attempting to upgrade. You can check the Prime Infrastructure version and patch version you are running by using the CLI commands show version and show application .

Different patch files are provided for each version of Prime Infrastructure and its predecessor products. Download and install only the patch files that match the version of your existing system and that are required before you upgrade to a higher version. You can find the appropriate patches by pointing your browser to the Cisco Download Software navigator .

Before installing a patch, you will need to copy the patch file to your Prime Infrastructure server’s default repository. Many users find it easy to do this by first downloading the patch file to a local FTP server, then copying it to the repository. You can also copy the patch file to the default repository using any of the following methods:

  • cdrom—Local CD-ROM drive (read only)
  • disk—Local hard disk storage
  • ftp—URL using an FTP server.
  • http—URL using an HTTP server (read only)
  • https—URL using an HTTPS server (read only)
  • nfs—URL using an NFS server
  • sftp—URL using an SFTP server
  • tftp—URL using a TFTP server

Step 1Description: Download the appropriate point patch to a local resource in your environment:

a.Description: With the Cisco Download Software navigator displayed in your browser, select Products > Cloud and Systems Management > Routing and Switching Management > Network Management Solutions > Cisco Prime Infrastructure .

b.Description: Select the version of Cisco Prime Infrastructure that most closely matches the one you are currently using (e.g., Cisco Prime Infrastructure 1.2 ).

c.Description: Click Prime Infrastructure Patches to see the list of available patches for that version of the product.

d.Description: Next to each patch that is required, click Download , then follow the prompts to download the file.

Step 2Description: Open a command-line interface session with the Prime Infrastructure server (see Connecting Via CLIin the Cisco Prime Infrastructure 2.1 Administrator Guide ).

Step 3Description: Copy the downloaded patch file to the default local repository. For example:

admin# copy source path /defaultRepo


  • source is the downloaded patch file’s location and name (for example: ftp://MyFTPServer/pi_9.3.1.0_update.tar.gz).
  • path is the complete path to the default local backup repository, defaultRepo.

Step 4Description: Install the patch:

admin# patch install patchFile defaultRepo

Where patchFile is the name of the patch file you copied to defaultRepo.


Community Member

Thanks for the good guide

That solved my lic problens

That's Great Mickey. Thanks for sharing your exp :-).


Vinay Sharma

Community Manager